Subject: Premature Ageing

From: arunsy <[email-masked]>
Date: Wed, 2 Apr 2003 09:35:13 -0000

Hi,
I'm facing problem in LSA Premature Aging. Here's is description
of the problem.

I've two Routers R1 and R2 connected by a broadcast Link. R2 has
few more neighbors connected through other interfaces. I
configured an external Route in R1. Hence R1 is originating new
External LSA (with initial sequence Number)and afterwards as I
delete the external route, it's flushing the same by means of
premature ageing. R2 sends LSA Ack back to R1. So R1 is deleting
the LSA from LSDB. R2 inturn flushes the LSA by flooding out on
other interfaces.
Now if the External route is activated again, R1 generates a new
LSA with initial seqence Number. But by the timer R2 receives the
new LSA, it still has the Max Age LSA since it didn't receive Ack
 from the Neighbors. So R2 is discarding the new LSA as the Max
Age LSA is regarded as the recent LSA (Since Sequence Numbers are
same (Initial Sequence Number), Checksum is Same and the Old LSA
is a MAX Age LSA).

Logically to say new LSA should be recent. But as the Sequence
Numbers being same, the Router with Max Age is regarded as the
most recent. Can any body have other thoughts in resolving this?

With Regards,
ARunSY.

_______________________________________________________________________
Odomos - the only  mosquito protection outside 4 walls -
Click here to know more!
http://r.rediff.com/r?http://clients.rediff.com/odomos/Odomos.htm&&odomos&&wn

---

From: "Manral, Vishwas" <[email-masked]>
Date: Wed, 2 Apr 2003 04:45:29 -0500

Hi Arunsy,

This conditon can very well occur and RFC2328 Section 13.4 has provision to
deal with the issue.

In this case when the originating router finds that the sefl-originated LSA
received is more recent than the LSA it originated, it will increment the
sequence number of its LSA, past the received LSA's sequence number. This
way the new LSA is flooded in the domain.

Thanks,
Vishwas

-----Original Message-----
From: arunsy [mailto:[email-masked]]
Sent: Wednesday, April 02, 2003 3:05 PM
To: [email-masked]
Subject: Premature Ageing

Hi,

With Regards,
ARunSY.

---

From: arunsy <[email-masked]>
Date: Wed, 2 Apr 2003 12:37:39 -0000

Hi Vishwas,
Thanks for your reply. But in the scenario I described, there is
no way that R1 could get the self originated LSA by floodig as R1
is DR for that Network. As per RFC 2328 13.3.(4) which says if the
LSA is received from the DR, then there's no need to flood back on
the received interface. I think then, sequence number can not be
updated.

Can this be possible?

Thanks and Regards,
ARunSY.

---

From: "Manral, Vishwas" <[email-masked]>
Date: Wed, 2 Apr 2003 07:52:19 -0500

Arunsy,

I am not sure what you mean. But if R1 originates an LSA, but R2 has the
same LSA but a newer version with it, it will flood the LSA on that
adjacency.

Mind you once the LSA is in the database you do not keep track of where you
got the LSA from, so if from that very interface you get an older LSA later
you send the LSa in ur database to it.

Hope this helps out.

Thanks,
Vishwas

-----Original Message-----
From: arunsy [mailto:[email-masked]]
Sent: Wednesday, April 02, 2003 6:08 PM
To: [email-masked]
Subject: Re: Premature Ageing

Hi Vishwas,

Can this be possible?

Thanks and Regards,
ARunSY.

_______________________________________________________________________
Odomos - the only  mosquito protection outside 4 walls -
Click here to know more!
http://r.rediff.com/r?http://clients.rediff.com/odomos/Odomos.htm&&odomos&&w
n